Package: org.gradle.tooling.model.gradle

## [Java] Interface GradleBuild

- org.gradle.tooling.model.gradle.GradleBuild

- All Superinterfaces:
    Model

  Provides information about the structure of a Gradle build.

  Since:
    1.8

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DomainObjectSet<? extends BasicGradleProject>` | `getProjects()` Returns the set of all projects for this build.
    `BasicGradleProject` | `getRootProject()` Returns the root project for this build.

- - ### Method Detail

    - #### public DomainObjectSet<? extends BasicGradleProject> getProjects()

      Returns the set of all projects for this build. Will include the root project and any ancestors.

      Returns:
        The set of all projects.

    - #### public BasicGradleProject getRootProject()

      Returns the root project for this build.

      Returns:
        The root project